Bug 1493262 - [Docs][Instances and Images] Correct CPUAffinity configuration warning in OSP 8 CPU Pinning section
Summary: [Docs][Instances and Images] Correct CPUAffinity configuration warning in OSP...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: async
: 8.0 (Liberty)
Assignee: Kim Nylander
QA Contact: Sandra McCann
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-19 18:34 UTC by Andrew Ludwar
Modified: 2017-12-18 14:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-08 21:16:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Andrew Ludwar 2017-09-19 18:34:01 UTC
Description of problem:

In the OSP8 documentation, in the CPU pinning section, there's a warning note with incorrect details about CPUAffinity configuration. Please update the doc text from:

"The CPUAffinity option takes a list of CPU indices or ranges separated by a whitespace or a comma."

to

"The CPUAffinity option takes a list of CPU indices or ranges separated by a whitespace."

In Section 4.1, step 4:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/8/html/instances_and_images_guide/ch-cpu_pinning#compute_node_configuration

From the man page, and my own testing, the only delimiter CPUAffinity supports is whitespace:

man 5 systemd-system.conf

 CPUAffinity=
           Configures the initial CPU affinity for the init process. Takes a space-separated list of CPU indices.

If commas are used, the CPUAffinity configuration will not be present as suggested.

Newer documentation for OSP9,10, and 11 omit this warning about CPUAffinity, so there's no need to make corrections there.

Version-Release number of selected component (if applicable):

OSP8

How reproducible:

Everytime.

Steps to Reproduce:

Read the warning text blob in Section 4.1, step 4:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/8/html/instances_and_images_guide/ch-cpu_pinning#compute_node_configuration

Actual results:

"The CPUAffinity option takes a list of CPU indices or ranges separated by a whitespace or a comma."

Expected results:

"The CPUAffinity option takes a list of CPU indices or ranges separated by a whitespace."

Additional info:

Reference KCS on CPUAffinity: https://access.redhat.com/solutions/2884991

Comment 1 Lucy Bopf 2017-11-15 01:30:03 UTC
Assigning to Kim for review.

Kim, this fix applies to version 8, specifically, but may also need to be forward-ported into more recent versions.

Comment 2 Kim Nylander 2017-12-08 20:51:46 UTC
Sent for peer review.


Note You need to log in before you can comment on or make changes to this bug.